io.vertx.ext.web.api.contract

## Class RouterFactoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - io.vertx.ext.web.api.contract.RouterFactoryException

- All Implemented Interfaces:
    Serializable

      public class RouterFactoryException
      extends RuntimeException

  Main class for router factory exceptions
  Author:
    Francesco Guardiani @slinkydeveloper
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RouterFactoryException.ErrorType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RouterFactoryException(String message, RouterFactoryException.ErrorType type)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RouterFactoryException` | `createMissingSecurityHandler(String securitySchema)`
    `static RouterFactoryException` | `createMissingSecurityHandler(String securitySchema, String securityScope)`
    `static RouterFactoryException` | `createOperationIdNotFoundException(String operationId)`
    `static RouterFactoryException` | `createPathNotFoundException(String pathName)`
    `static RouterFactoryException` | `createSpecInvalidException(String message)`
    `static RouterFactoryException` | `createSpecNotExistsException(String path)`
    `RouterFactoryException.ErrorType` | `type()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RouterFactoryException

          public RouterFactoryException(String message,
                                        RouterFactoryException.ErrorType type)

  - ### Method Detail

    - #### type

          public RouterFactoryException.ErrorType type()

    - #### createPathNotFoundException

          public static RouterFactoryException createPathNotFoundException(String pathName)

    - #### createOperationIdNotFoundException

          public static RouterFactoryException createOperationIdNotFoundException(String operationId)

    - #### createSpecInvalidException

          public static RouterFactoryException createSpecInvalidException(String message)

    - #### createSpecNotExistsException

          public static RouterFactoryException createSpecNotExistsException(String path)

    - #### createMissingSecurityHandler

          public static RouterFactoryException createMissingSecurityHandler(String securitySchema)

    - #### createMissingSecurityHandler

          public static RouterFactoryException createMissingSecurityHandler(String securitySchema,
                                                                            String securityScope)

Copyright © 2017. All rights reserved.